Criar registro de tempo
curl --request POST \
--url https://app.synkrony.ai/api/v1/time_logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"time_log": {
"user_id": 1,
"start_time": "2026-03-18T10:00:00Z",
"task_id": 1,
"project_id": 1,
"name": "Investigacao tecnica",
"end_time": "2026-03-18T11:00:00Z"
}
}
'import requests
url = "https://app.synkrony.ai/api/v1/time_logs"
payload = { "time_log": {
"user_id": 1,
"start_time": "2026-03-18T10:00:00Z",
"task_id": 1,
"project_id": 1,
"name": "Investigacao tecnica",
"end_time": "2026-03-18T11:00:00Z"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
time_log: {
user_id: 1,
start_time: '2026-03-18T10:00:00Z',
task_id: 1,
project_id: 1,
name: 'Investigacao tecnica',
end_time: '2026-03-18T11:00:00Z'
}
})
};
fetch('https://app.synkrony.ai/api/v1/time_logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"owner_id": 123,
"owner_type": "<string>",
"id": "<string>",
"task": "<string>",
"date": "<string>",
"type": "<string>",
"start_time": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>",
"colorId": 123,
"profilePictureUrl": "<string>"
},
"tags": [
{
"id": 123,
"label": "<string>",
"color": "<string>",
"bgColor": "<string>"
}
],
"project_id": 123,
"duration": "<string>",
"end_time": "<string>",
"sprint_id": 123
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"fields": {}
}TimeLogs
Criar registro de tempo
POST
/
api
/
v1
/
time_logs
Criar registro de tempo
⌘I